- NAME
- SYNOPSIS
- DESCRIPTION
- SUBCOMMANDS
- RETURN CODES

# NAME

xenhypfs - Xen tool to access Xen hypervisor file system

# SYNOPSIS

xenhypfs subcommand [options] [args]

# DESCRIPTION

The xenhypfs program is used to access the Xen hypervisor file system. It can be used to show the available entries, to show their contents and (if allowed) to modify their contents.

# SUBCOMMANDS

ls path

  List the available entries below path.

cat [-b] path

  Show the contents of the entry specified by path. Non-printable characters other than white space characters (like tab, new line) will be shown as \xnn (nn being a two digit hex number) unless the option -b is specified.

write path value

  Set the contents of the entry specified by path to value.

tree

  Show all the entries of the file system as a tree.

# RETURN CODES

0

  Success

1

  Invalid usage (e.g. unknown subcommand, unknown option, missing parameter).

2

  Entry not found while traversing the tree.

3

  Access right violation.